Bug 1017174 - puppet module info shows exception
puppet module info shows exception
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: David Davis
Ales Dujicek
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 07:30 EDT by Ales Dujicek
Modified: 2014-04-24 13:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:07:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Dujicek 2013-10-09 07:30:44 EDT
Description of problem:

puppet_module info command shows exception when wrong --id given:

> puppet_module info --repo_id 603 --id 00
undefined method `repoids' for nil:NilClass

Version-Release number of selected component (if applicable):
katello-all-1.4.6-21.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-glue-pulp-1.4.6-21.el6sat.noarch
ruby193-rubygem-foreman-katello-engine-0.0.14-4.el6sat.noarch
katello-glue-elasticsearch-1.4.6-21.el6sat.noarch
katello-cli-common-1.4.3-18.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.7-2.el6sat.noarch
katello-configure-foreman-proxy-1.4.5-9.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
katello-common-1.4.6-21.el6sat.noarch
katello-1.4.6-21.el6sat.noarch
katello-foreman-all-1.4.6-21.el6sat.noarch
katello-configure-1.4.5-9.el6sat.noarch
katello-glue-candlepin-1.4.6-21.el6sat.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
signo-katello-0.0.20-3.el6sat.noarch
katello-configure-foreman-1.4.5-9.el6sat.noarch
katello-cli-1.4.3-18.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch

How reproducible:
always
Comment 2 David Davis 2013-10-14 11:40:27 EDT
https://github.com/Katello/katello/pull/3171
Comment 3 David Davis 2013-10-15 09:09:57 EDT
katello SHA 4dcbb3a44e8025ceabe83732ea1eafb3c65de1d4

1017174: Check puppet module and throw 404
Comment 6 Ales Dujicek 2013-10-18 05:07:00 EDT
Verified.

> puppet_module info --repo_id 1 --id 0
Puppet module with id '0' not found

katello-all-1.4.6-39.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-1.4.6-39.el6sat.noarch
signo-katello-0.0.22-2.el6sat.noarch
katello-configure-foreman-proxy-1.4.7-5.el6sat.noarch
katello-glue-candlepin-1.4.6-39.el6sat.noarch
katello-glue-pulp-1.4.6-39.el6sat.noarch
katello-cli-common-1.4.3-24.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-configure-1.4.7-5.el6sat.noarch
katello-glue-elasticsearch-1.4.6-39.el6sat.noarch
katello-configure-foreman-1.4.7-5.el6sat.noarch
katello-foreman-all-1.4.6-39.el6sat.noarch
pulp-katello-plugins-0.2-1.el6sat.noarch
ruby193-rubygem-foreman-katello-engine-0.0.17-6.el6sat.noarch
ruby193-rubygem-katello-foreman-engine-0.0.11-3.el6sat.noarch
ruby193-rubygem-katello_api-0.0.3-4.el6sat.noarch
katello-common-1.4.6-39.el6sat.noarch
katello-cli-1.4.3-24.el6sat.noarch
katello-certs-tools-1.4.4-1.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
Comment 7 Bryan Kearney 2014-04-24 13:07:06 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.